import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatResourceTypeDetailsComponent } from './heat-resource-type-details.component';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { RouterTestingModule } from '@angular/router/testing';

describe('HeatResourceTypeDetailsComponent', () => {
  let component: HeatResourceTypeDetailsComponent;
  let fixture: ComponentFixture<HeatResourceTypeDetailsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ HeatResourceTypeDetailsComponent ],
      imports: [HttpClientTestingModule, RouterTestingModule,],
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatResourceTypeDetailsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
